Package org.eclipse.m2m.atl.adt.ui.startup

## Class ResourceChangeListener

- java.lang.Object
- - org.eclipse.m2m.atl.adt.ui.startup.ResourceChangeListener

All Implemented Interfaces:
  `java.util.EventListener`, `org.eclipse.core.resources.IResourceChangeListener`

    public class ResourceChangeListener
    extends java.lang.Object
    implements org.eclipse.core.resources.IResourceChangeListener

The ATL resource change listener.

### Constructor Summary

Constructors
`ResourceChangeListener()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `resourceChanged​(org.eclipse.core.resources.IResourceChangeEvent event)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ResourceChangeListener

    public ResourceChangeListener()

### Method Detail

#### resourceChanged

    public void resourceChanged​(org.eclipse.core.resources.IResourceChangeEvent event)

Specified by:
  `resourceChanged` in interface `org.eclipse.core.resources.IResourceChangeListener`
See Also:
  `IResourceChangeListener.resourceChanged(org.eclipse.core.resources.IResourceChangeEvent)`